

class SubscriptionBackup(object):
	def get(self, subscription):
		return subscription.converted_backup

	def iter_server_settings(self, global_context):
		return global_context.source_plesks.itervalues()


class SubscriptionBackupRaw(object):
	def get(self, subscription):
		return subscription.raw_backup

	def iter_server_settings(self, global_context):
		return global_context.source_plesks.itervalues()
